package com.cisdi.data.emserver.gateway.vo;

import java.io.Serializable;

import com.alibaba.fastjson.JSON;

/**
 * 下发到设备的电文路由规则
 * @author cup
 *
 */
public class RouteVo implements Serializable {
	private static final long serialVersionUID = -1745777213966420113L;
	
	/**
	 * 电文key
	 */
	private String msgKey;
	
	/**
	 * 形如 192.168.5.9:9002 的字符串
	 */
    private String ipAndPort;
    
	public String getMsgKey() {
		return msgKey;
	}
	
	public void setMsgKey(String msgKey) {
		this.msgKey = msgKey;
	}
	
	public String getIpAndPort() {
		return ipAndPort;
	}
	
	public void setIpAndPort(String ipAndPort) {
		this.ipAndPort = ipAndPort;
	}
    
	@Override
    public String toString() {
    	String jsonString = JSON.toJSONString(this);
    	return jsonString;
    }
}
